/// Response to Report C for JMCB Revision #3
/// 2010 tournament
/// Started: January 2016
//////////////////////////////////////////////////

	/// 1. Treating game as single observation
g dailydate = date

gen gameslot1=1 if (time>=13.5 & time<=15.305) & tradingtime==1
gen gameslot2=1 if (time>=16.0 & time<=17.805) & tradingtime==1
gen gameslot3=1 if (time>=20.5 & time<=22.305) & tradingtime==1

gen ATA_tick_t_star=0
gen ATA_vol_t_star=0
gen owngamestar=0
gen gameothersstar=0
gen n=0
foreach slot in 1 2 3 {
by cty gameslot`slot' dailydate dow, sort: egen owngamestartemp=max(game_time)
by cty gameslot`slot' dailydate dow, sort: egen gameothersstartemp=max(gametime_all_benchmark)
replace owngamestar=owngamestartemp
replace gameothersstar=gameothersstartemp
by cty gameslot`slot' dailydate dow, sort: gen ntemp=_n
replace n=ntemp
drop ntemp gameothersstartemp owngamestartemp 
}
foreach slot in 1 2 3 {
foreach indicator in tick_t vol_t {
by cty gameslot`slot' dow, sort: egen `indicator'_mean=mean(`indicator') if wm==0
by cty gameslot`slot' dow, sort: egen `indicator'_meanstar=max(`indicator'_mean)
drop `indicator'_mean
by cty gameslot`slot' dailydate dow, sort: egen `indicator'_mean=mean(`indicator')
replace ATA_`indicator'_star=100*(`indicator'_mean-`indicator'_meanstar)/`indicator'_meanstar
drop `indicator'_mean `indicator'_meanstar
}
}

eststo singlet10ols: 	reg 	ATA_tick_t_star owngamestar gameothersstar if n==1 & tradingtime==1, r
eststo singlet10qreg: 	qreg 	ATA_tick_t_star owngamestar gameothersstar if n==1 & tradingtime==1, vce(r)
eststo singlev10ols:	reg		ATA_vol_t_star 	owngamestar gameothersstar if n==1 & tradingtime==1, r
eststo singlev10qreg:	qreg	ATA_vol_t_star 	owngamestar gameothersstar if n==1 & tradingtime==1, vce(r)

#delimit ;
esttab singlet10ols singlet10qreg singlev10ols singlev10qreg
	using "$workdir/AnalysisJMCB/TableR1_2010.csv", 
	b(2) se(2) ar(2) 
	star(* 0.05 ** 0.01)
	keep(gameothersstar owngamestar)
	nonotes nogaps
	label fragment
	br
	mtitles("Trades ols" "Trades qreg" "Volumes ols" "Volumes qreg")
	replace 
	;
#delimit cr
	
	/// 2. Estimates after remove outliers or winsorizing
foreach indicator in tick_t vol_t {
winsor `indicator'_diff 							if tradingtime == 1, gen(Winsor_`indicator'_diff) p(0.02)
egen	p98`indicator' = pctile(`indicator'_diff) 	if tradingtime == 1, p(98)
egen	p2`indicator' = pctile(`indicator'_diff) 	if tradingtime == 1, p(2)
gen		Remove_`indicator'_diff = `indicator'_diff 	if tradingtime == 1
replace Remove_`indicator'_diff = . 				if `indicator'_diff > p98`indicator' 	& tradingtime == 1
replace Remove_`indicator'_diff = . 				if `indicator'_diff < p2`indicator' 	& tradingtime == 1
}

eststo traderemove10:		reg 		Remove_tick_t_diff	$RHS10			, vce(cl gamecounter)
eststo tradewinsor10:		reg 		Winsor_tick_t_diff	$RHS10			, vce(cl gamecounter)	
eststo volumeremove10:		reg 		Remove_vol_t_diff 	$RHS10			, vce(cl gamecounter)
eststo volumewinsor10:		reg 		Winsor_vol_t_diff 	$RHS10			, vce(cl gamecounter)

#delimit ;
esttab traderemove10 tradewinsor10 volumeremove10 volumewinsor10 
	using "$workdir/AnalysisJMCB/TableR6_2010.csv", 
	b(2) se(2) ar(2) 
	star(* 0.05 ** 0.01)
	keep(gametime_all_benchmark game_time)
	nonotes nogaps
	label fragment
	br
	mtitles("Trades remove" "Trades winsor" "Volumes remove" "Volumes winsor")
	replace 
	;
#delimit cr


