/// Response to Report C for JMCB Revision #3
/// 2010 tournament
/// Started: January 2016
//////////////////////////////////////////////////


	/// 1. Treating game as single observation
gen gameslot1=1 if (hour==12 | hour==13 & minute<=55)
gen gameslot2=1 if (hour==15 | hour==16 & minute<=55)
gen gameslot3=1 if (hour==16 | hour==17 & minute<=55)
gen gameslot4=1 if (hour==18 | hour==19 & minute<=55)

gen gameslot5=1 if (hour==10 | hour==11 & minute<=55)
gen gameslot6=1 if (hour==20 | hour==21 & minute<=55)
gen gameslot7=1 if (hour==22 | hour==23 & minute<=55)

gen ATA_tick_t_star=0
gen ATA_vol_t_star=0
gen owngamestar=0
gen gameothersstar=0
gen n=0
foreach slot in 1 2 3 4 5 6 7 {
by cty gameslot`slot' dailydate dow, sort: egen owngamestartemp=max(owngame)
by cty gameslot`slot' dailydate dow, sort: egen gameothersstartemp=max(gameothers)
replace owngamestar=owngamestartemp
replace gameothersstar=gameothersstartemp
by cty gameslot`slot' dailydate dow, sort: gen ntemp=_n
replace n=ntemp
drop ntemp gameothersstartemp owngamestartemp 
}
foreach slot in 1 2 3 4 5 6 7 {
foreach indicator in tick_t vol_t {
by cty gameslot`slot' dow, sort: egen `indicator'_mean=mean(`indicator') if wc==0
by cty gameslot`slot' dow, sort: egen `indicator'_meanstar=max(`indicator'_mean)
drop `indicator'_mean
by cty gameslot`slot' dailydate dow, sort: egen `indicator'_mean=mean(`indicator')
replace ATA_`indicator'_star=100*(`indicator'_mean-`indicator'_meanstar)/`indicator'_meanstar
drop `indicator'_mean `indicator'_meanstar
}
}

eststo singlet14ols: 	reg 	ATA_tick_t_star owngamestar gameothersstar if n==1 & trade==1 & (cty == "AR" | cty == "CL" | cty == "MX" | cty == "US"), r
eststo singlet14qreg:	qreg	ATA_tick_t_star owngamestar gameothersstar if n==1 & trade==1 & (cty == "AR" | cty == "CL" | cty == "MX" | cty == "US"), vce(r)
eststo singlev14ols: 	reg 	ATA_vol_t_star 	owngamestar gameothersstar if n==1 & trade==1 & (cty == "AR" | cty == "CL" | cty == "MX" | cty == "US"), r
eststo singlev14qreg:	qreg	ATA_vol_t_star 	owngamestar gameothersstar if n==1 & trade==1 & (cty == "AR" | cty == "CL" | cty == "MX" | cty == "US"), vce(r)

#delimit ;
esttab singlet14ols singlet14qreg singlev14ols singlev14qreg 
	using "$workdir/AnalysisJMCB/TableR1_2014.csv", 
	b(2) se(2) ar(2) 
	star(* 0.05 ** 0.01)
	keep(gameothersstar owngamestar)
	nonotes nogaps
	label fragment
	br
	mtitles("Trades ols" "Trades qreg" "Volumes ols" "Volumes qreg")
	replace 
	;
#delimit cr
	
	/// 2. Estimates after remove outliers or winsorizing (national indices)
foreach indicator in tick_t vol_t {
winsor `indicator'_diff 							if trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE", gen(Winsor_`indicator'_diff) p(0.02)
egen	p98`indicator' = pctile(`indicator'_diff) 	if trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE", p(98)
egen	p2`indicator' = pctile(`indicator'_diff) 	if trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE", p(2)
gen		Remove_`indicator'_diff = `indicator'_diff 	if trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE"
replace Remove_`indicator'_diff = . 				if `indicator'_diff > p98`indicator'	& trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE"
replace Remove_`indicator'_diff = . 				if `indicator'_diff < p2`indicator'		& trade == 1 & cty~="MCO" & cty~="MAR" & cty~="MBR" & cty~="MCL" & cty~="MMX" & cty~="MUS" & cty~="CA" & cty~="NZ" & cty~="PE"
}

eststo traderemove14:		reg 		Remove_tick_t_diff	$RHS14			, vce(cl gamecounter)
eststo tradewinsor14:		reg 		Winsor_tick_t_diff	$RHS14			, vce(cl gamecounter)	
eststo volumeremove14:		reg 		Remove_vol_t_diff 	$RHS14			, vce(cl gamecounter)
eststo volumewinsor14:		reg 		Winsor_vol_t_diff 	$RHS14			, vce(cl gamecounter)

#delimit ;
esttab traderemove14 tradewinsor14 volumeremove14 volumewinsor14 
	using "$workdir/AnalysisJMCB/TableR6_2014.csv", 
	b(2) se(2) ar(2) 
	star(* 0.05 ** 0.01)
	keep(gametime_all_benchmark game_time)
	nonotes nogaps
	label fragment
	br
	mtitles("Trades remove" "Trades winsor" "Volumes remove" "Volumes winsor")
	replace 
	;
#delimit cr


	/// 3. Estimates after remove outliers or winsorizing (MSCI indices) (NB: ran separately 19 January 2016). 
foreach indicator in tick_t vol_t {
winsor `indicator'_diff 											if trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS"), gen(Winsor_`indicator'_diff_MSCI) p(0.02)
egen	p98`indicator'_MSCI 			= pctile(`indicator'_diff) 	if trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS"), p(98)
egen	p2`indicator'_MSCI				= pctile(`indicator'_diff) 	if trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS"), p(2)
gen		Remove_`indicator'_diff_MSCI 	= `indicator'_diff 	if trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS")
replace Remove_`indicator'_diff_MSCI = . 				if `indicator'_diff > p98`indicator'_MSCI	& trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS")
replace Remove_`indicator'_diff_MSCI = . 				if `indicator'_diff < p2`indicator'_MSCI	& trade == 1 & (cty == "MAR" | cty=="MCL" | cty~="MMX" | cty~="MUS")
}

eststo traderemove14m:		reg 		Remove_tick_t_diff_MSCI	$RHS14			, vce(cl gamecounter)
eststo tradewinsor14m:		reg 		Winsor_tick_t_diff_MSCI	$RHS14			, vce(cl gamecounter)	
eststo volumeremove14m:		reg 		Remove_vol_t_diff_MSCI 	$RHS14			, vce(cl gamecounter)
eststo volumewinsor14m:		reg 		Winsor_vol_t_diff_MSCI 	$RHS14			, vce(cl gamecounter)

#delimit ;
esttab traderemove14m tradewinsor14m volumeremove14m volumewinsor14m 
	using "$workdir/AnalysisJMCB/TableR6msci_2014.csv", 
	b(2) se(2) ar(2) 
	star(* 0.05 ** 0.01)
	keep(gametime_all_benchmark game_time)
	nonotes nogaps
	label fragment
	br
	mtitles("Trades remove" "Trades winsor" "Volumes remove" "Volumes winsor")
	replace 
	;
#delimit cr



